#
# spec file for package python-numeric (Version 23.3)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  python python-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl python python-devel rpm

Name:         python-numeric
Summary:      A Numerical Extension to Python
Version:      23.7
Release:      1
Source:       Numeric-%{version}.tar.gz
License:      BSD, Python
Group:        Development/Libraries/Python
URL:          http://sourceforge.net/projects/numpy
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%py_requires

%description
Numerical Python adds a fast and compact multi-dimensional array
language facility to Python.



Authors:
--------
    numpy-developers@lists.sourceforge.net

%prep
%setup -n Numeric-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc README changes.txt Demo

%changelog -n python-numeric
* Sat Jan 22 2005 - Kai.Puolamaki@iki.fi
- 23.7
- noatlas patch removed
* Wed Aug 04 2004 - mcihar@suse.cz
- updated to 23.3
- use %%py_requires
* Tue Dec 16 2003 - mcihar@suse.cz
- updated to 23.1
- no root for build
* Thu Jun 26 2003 - mcihar@suse.cz
- added cleanup to %%install
* Mon Jun 16 2003 - mcihar@suse.cz
- updated to 23.0
- use record-rpm
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Tue Mar 04 2003 - mcihar@suse.cz
- include some documentation and demo
* Wed Oct 30 2002 - mcihar@suse.cz
- updated to version 22.0, major changes:
  * Changed multiarraymodule functions to accept keywords where
  documentation implies  it through the use of optional variables.
  * Added support for unsigned shorts 'w' and unsigned ints 'u'
  * Increased max permissible iterations in SVD for supplied lapack.
  * Recoded RandomArray.randint to try to see if we can work around bug on
  some platforms.
* Mon Aug 12 2002 - vinil@suse.de
- new version: 21.3
* Wed Jan 23 2002 - nadvornik@suse.cz
- new package, version 20.3
